%define name	ltxml
%define version	1.2.7
%define release	%mkrel 6
%define major	1
%define libname	%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define automake_version %(automake --version | awk '/^automake/ {print $4}')

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	High-speed C-language validating XML parser
License:	GPL
Group:		File tools
Url:		http://www.ltg.ed.ac.uk/software/xml
Source:		ftp://ftp.cogsci.ed.ac.uk/pub/LTXML/%{name}-%{version}.tar.bz2
Patch:		%{name}.maninstall.patch.bz2
BuildRequires:  zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
LT XML is an integrated set of XML tools and a developers' tool-kit,
including a C-based API. The release now available will run on UNIX and
WIN32.
The LT XML tool-kit includes stand-alone tools for a wide range
of processing of well-formed XML documents, including searching and
extracting, down-translation (e.g. report generation, formatting),
tokenising and sorting. 

%package -n %{develname}
Summary:    Development header files for %{name}
Group:      Development/C
Requires:   %{name} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}
Obsoletes:  %mklibname %{name} -d 1

%description -n %{develname}
Libraries, include files and other resources you can use to develop
%{name} applications.

%prep
%setup -q
%patch
cd XML
cp -f %{_datadir}/automake-%{automake_version}/config.* .

%build
cd XML
%configure2_5x
%make all

%install
rm -rf %{buildroot}
cd XML && %makeinstall \
    datadir=%{buildroot}%{_datadir}/%{name} \
    includedir=%{buildroot}%{_includedir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man5/*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.a
%{_includedir}/%{name}



%changelog
* Tue Sep 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.7-6mdv2010.0
+ Revision: 441191
- fix x86_64 build
- new devel policy

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.7-5mdv2009.0
+ Revision: 251539
- rebuild

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 1.2.7-3mdv2008.1
+ Revision: 140933
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import ltxml


* Tue Jun 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.7-3mdv2007.0
- don't ship debug files in devel package

* Fri Jun 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.7-2mdv2007.0
- %%mkrel

* Sat Jun 04 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.7-1mdk 
- new release
- spec cleanup

* Wed May 26 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2.6-1mdk
- new version
- rpmbuildupdate aware

* Mon Feb 17 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2.5-1mdk
- first mdk release 
